Package org.apache.solr.client.solrj.request

# Interface ApiMapping.CommandMeta

Enclosing class:
  `ApiMapping`

public static interface ApiMapping.CommandMeta

## Method Summary

Modifier and Type
Method
Description
`ApiMapping.V2EndPoint`
`getEndPoint()`
`SolrRequest.METHOD`
`getHttpMethod()`
the http method supported by this command
`String`
`getName()`
`default Iterator<String>`
`getParamNamesIterator(CommandOperation op)`
`default String`
`getParamSubstitute(String name)`
Given a v1 param, return the v2 attribute (possibly a dotted path).

## Method Details

### getName

String getName()

### getHttpMethod

SolrRequest.METHOD getHttpMethod()
the http method supported by this command

### getEndPoint

ApiMapping.V2EndPoint getEndPoint()

### getParamNamesIterator

default Iterator<String> getParamNamesIterator(CommandOperation op)

### getParamSubstitute

default String getParamSubstitute(String name)
Given a v1 param, return the v2 attribute (possibly a dotted path).